package com.yunzhi.shigongli.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;

/**
 * <p>
 * 资源时刻表
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaTargetDietMark对象", description="资源时刻表")
public class TaTargetDietMark implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "序号")
    @TableId(value = "mark_no", type = IdType.AUTO)
    private Integer markNo;

    @ApiModelProperty(value = "类型ID")
    private String markId;

    @ApiModelProperty(value = "资源类型")
    private String targetType;

    @ApiModelProperty(value = "对象ID")
    private String targetId;

}
