package com.yunzhi.shigongli.event.listener;

import com.yunzhi.shigongli.event.PaySuccessEvent;
import com.yunzhi.shigongli.service.ITaPersonAccountService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationListener;
import org.springframework.stereotype.Component;

@Component
public class PaySuccessEventListener implements ApplicationListener<PaySuccessEvent> {
    @Autowired
    ITaPersonAccountService personAccountService;

    @Override
    public void onApplicationEvent(PaySuccessEvent evt) {
        try {

            // 支付成功之后, 给个人返现
            personAccountService.cashback(evt.getTaOrderPay());
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
