package com.yunzhi.shigongli.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.shigongli.entity.TaHotelWorker;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yunzhi.shigongli.entity.TaPerson;
import com.yunzhi.shigongli.vo.HotelWorkerListVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 民宿员工 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Mapper
public interface TaHotelWorkerMapper extends BaseMapper<TaHotelWorker> {

    IPage<HotelWorkerListVO> getPagedListBy(IPage<HotelWorkerListVO> pg, @Param("hotelId") String hotelId);

    int updateByPerson(@Param("person") TaPerson taPerson);

}
