package com.yunzhi.shigongli.mapper;

import com.yunzhi.shigongli.entity.TaOrderPay;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 订单支付 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Mapper
public interface TaOrderPayMapper extends BaseMapper<TaOrderPay> {

    TaOrderPay getByOrder(@Param("orderId") String orderId, @Param("subOrderId") String subOrderId);

    TaOrderPay getLastRowByOrder(@Param("orderId") String orderId);

    TaOrderPay getLastRowByOrderSub(@Param("orderId") String orderId, @Param("subOrderId") String subOrderId);
}
