package com.yunzhi.shigongli.mapper;

import com.yunzhi.shigongli.entity.TaShopAccount;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 民宿账户 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Mapper
public interface TaShopAccountMapper extends BaseMapper<TaShopAccount> {

    TaShopAccount selectByShop(@Param("shopId") String shopId);

    int updateCommission(@Param("accountId") String accountId, @Param("amount") Integer amount);

    int commissionSettlement(@Param("accountId") String accountId, @Param("charges") Integer charges);
}
