package com.yunzhi.shigongli.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yunzhi.shigongli.entity.TaTargetDietMark;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 资源时刻表 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Mapper
public interface TaTargetDietMarkMapper extends BaseMapper<TaTargetDietMark> {

    List<TaTargetDietMark> getListBy(@Param("targetType") String targetType, @Param("targetId") String targetId);
}
