package com.yunzhi.shigongli.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.shigongli.entity.TaVerifyTarget;
import com.yunzhi.shigongli.vo.VerifyTargetVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 核销内容表 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Mapper
public interface TaVerifyTargetMapper extends BaseMapper<TaVerifyTarget> {

    IPage<VerifyTargetVO> getWxPagedBy(IPage<VerifyTargetVO> pg,
                                       @Param("personId") String personId,
                                       @Param("shopId") String shopId,
                                       @Param("phone") String phone,
                                       @Param("isVerified") Integer isVerified);

    int existsNo(@Param("verifyNo") String verifyNo);

    int getCountBy(@Param("orderId") String orderId, @Param("subOrderId") String subOrderId, @Param("isVerified") Integer isVerified);
}
