package com.yunzhi.shigongli.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.shigongli.entity.TaRoom;
import com.yunzhi.shigongli.vo.RoomListVO;


/**
 * <p>
 * 房源 服务类
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
public interface ITaRoomService extends IBaseService<TaRoom> {

    IPage<RoomListVO> getPageListBy(IPage<TaRoom> pg, String plat, String hotelId, String roomName);

    boolean getIsExistKeeper(String roomId, String personId);
}
