package com.yunzhi.shigongli.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.shigongli.entity.TaPerson;
import com.yunzhi.shigongli.entity.TaShop;
import com.yunzhi.shigongli.vo.ResourceFieldVO;
import com.yunzhi.shigongli.vo.ShopListVO;

import java.util.List;


/**
 * <p>
 * 商铺 服务类
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
public interface ITaShopService extends IBaseService<TaShop> {

    IPage<ShopListVO> getPageListBy(IPage<ShopListVO> pg, String shopName, String phone);

    void createNew(TaShop taShop) throws Exception;

    boolean updatePVNum(String id);

    ResourceFieldVO copyProperties(TaShop taShop);

    List<TaShop> getListByPerson(TaPerson taPerson);
}
