package com.yunzhi.shigongli.service;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.shigongli.entity.TaPerson;
import com.yunzhi.shigongli.entity.TaShopWorker;
import com.yunzhi.shigongli.vo.ShopWorkerListVO;

import java.util.List;

/**
 * <p>
 * 民宿员工 服务类
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
public interface ITaShopWorkerService extends IBaseService<TaShopWorker> {

    IPage<ShopWorkerListVO> getPagedListBy(IPage<ShopWorkerListVO> pg, String shopId);

    List<TaShopWorker> getByPhone(String phone);

    void updateByPerson(TaPerson taPerson) throws Exception;

    List<TaShopWorker> getByPerson(String personId);
}
