package com.yunzhi.shigongli.service;

import com.yunzhi.shigongli.entity.TsStatisDaily;
import com.yunzhi.shigongli.vo.StatisDailyVO;

import java.util.List;
import java.util.Map;


/**
 * <p>
 * 日统计 服务类
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
public interface ITsStatisDailyService extends IBaseService<TsStatisDaily> {

    List<StatisDailyVO> getListBy(String startDate, String statisType, long days);

    Map<String, Integer> statisSummary();
}
