package com.yunzhi.shigongli.service.impl;

import com.yunzhi.shigongli.entity.TaShopAccountLog;
import com.yunzhi.shigongli.mapper.TaShopAccountLogMapper;
import com.yunzhi.shigongli.service.ITaShopAccountLogService;

import org.springframework.stereotype.Service;

import java.time.LocalDateTime;

/**
 * <p>
 * 商户账户流水 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Service
public class TaShopAccountLogServiceImpl extends BaseServiceImpl<TaShopAccountLogMapper, TaShopAccountLog> implements ITaShopAccountLogService {

    @Override
    public Integer getTotalCharges(String accountId, String amountType, LocalDateTime start, LocalDateTime end) {
        return baseMapper.getTotalCharges(accountId, amountType, start, end);
    }
}
