package com.yunzhi.shigongli.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 序列号
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TaSequence对象", description="序列号")
public class TaSequence implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "seq_name", type = IdType.INPUT)
    @ApiModelProperty(value = "序列号名称")
    private String seqName;

    @ApiModelProperty(value = "序列号")
    private Integer val;

}
