package com.yunzhi.shigongli.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 日统计
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="TsStatisDaily对象", description="日统计")
public class TsStatisDaily implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "序号")
    @TableId(value = "statis_no", type = IdType.AUTO)
    private String statisNo;

    @ApiModelProperty(value = "日期;yyyy-MM-dd格式")
    private String statisDate;

    @ApiModelProperty(value = "统计内容")
    private String statisType;

    @ApiModelProperty(value = "数目")
    private Integer num;


}
