package com.yunzhi.shigongli.event;

import com.yunzhi.shigongli.entity.TaOrderPay;
import org.springframework.context.ApplicationEvent;

/**
 * 支付成功事件
 */
public class PaySuccessEvent extends ApplicationEvent {

    TaOrderPay taOrderPay;

    public PaySuccessEvent(Object source, TaOrderPay taOrderPay) {
        super(source);
        this.taOrderPay = taOrderPay;
    }

    public TaOrderPay getTaOrderPay() {
        return taOrderPay;
    }
}
