package com.yunzhi.shigongli.event;

import com.yunzhi.shigongli.entity.TaOrder;
import com.yunzhi.shigongli.entity.TaOrderPay;
import com.yunzhi.shigongli.entity.TaOrderSub;
import org.springframework.context.ApplicationEvent;

/**
 * 退款成功事件
 */
public class RefundSuccessEvent extends ApplicationEvent {

    TaOrderPay taOrderPay;

    public RefundSuccessEvent(Object source, TaOrderPay taOrderPay) {
        super(source);
        this.taOrderPay = taOrderPay;
    }

    public TaOrderPay getTaOrderPay() {
        return taOrderPay;
    }
}
