package com.yunzhi.shigongli.mapper;

import com.yunzhi.shigongli.entity.TaHotelAccount;
import com.yunzhi.shigongli.entity.TaHotelAccountLog;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDateTime;

/**
 * <p>
 * 民宿账户流水 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Mapper
public interface TaHotelAccountLogMapper extends BaseMapper<TaHotelAccountLog> {
    Integer sumChargesBy(@Param("accountId") String accountId,
                         @Param("amountType") String amountType,
                         @Param("from") LocalDateTime from,
                         @Param("to") LocalDateTime to);
}
