package com.yunzhi.shigongli.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.shigongli.entity.TaHotelWorker;
import com.yunzhi.shigongli.entity.TaRoom;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yunzhi.shigongli.entity.TaShopWorker;
import com.yunzhi.shigongli.vo.RoomListVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 房源 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Mapper
public interface TaRoomMapper extends BaseMapper<TaRoom> {

    IPage<RoomListVO> getPageListBy(IPage<TaRoom> pg, @Param("plat") String plat, @Param("hotelId") String hotelId, @Param("roomName") String roomName);

    List<TaHotelWorker> getRoomOwners(@Param("roomId") String roomId, @Param("personId") String personId);
}
