package com.yunzhi.shigongli.mapper;

import com.yunzhi.shigongli.entity.TaShopAccountLog;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDateTime;

/**
 * <p>
 * 商户账户流水 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Mapper
public interface TaShopAccountLogMapper extends BaseMapper<TaShopAccountLog> {

    Integer getTotalCharges(@Param("accountId") String accountId,
                            @Param("amountType") String amountType,
                            @Param("start") LocalDateTime start,
                            @Param("end") LocalDateTime end);
}
