package com.yunzhi.shigongli.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.shigongli.entity.TaPerson;
import com.yunzhi.shigongli.entity.TaShopWorker;
import com.yunzhi.shigongli.vo.ShopWorkerListVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 民宿员工 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Mapper
public interface TaShopWorkerMapper extends BaseMapper<TaShopWorker> {

    IPage<ShopWorkerListVO> getPagedListBy(IPage<ShopWorkerListVO> pg, @Param("shopId") String shopId);

    int updateByPerson(@Param("person") TaPerson taPerson);
}
