package com.yunzhi.shigongli.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.shigongli.entity.TaTourist;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 旅游景点 Mapper 接口
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Mapper
public interface TaTouristMapper extends BaseMapper<TaTourist> {

    IPage<TaTourist> getPagedBy(IPage<TaTourist> pg, @Param("touristName") String touristName, @Param("cityId") String cityId);
}
