package com.yunzhi.shigongli.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.shigongli.entity.TaHotelWorker;
import com.yunzhi.shigongli.entity.TaPerson;
import com.yunzhi.shigongli.vo.HotelWorkerListVO;

import java.util.List;


/**
 * <p>
 * 民宿员工 服务类
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
public interface ITaHotelWorkerService extends IBaseService<TaHotelWorker> {

    IPage<HotelWorkerListVO> getPagedListBy(IPage<HotelWorkerListVO> pg, String hotelId);

    List<TaHotelWorker> getByPhone(String phone);

    void updateByPerson(TaPerson taPerson) throws Exception;

}
