package com.yunzhi.shigongli.service;

import com.github.binarywang.wxpay.bean.notify.WxPayOrderNotifyResult;
import com.github.binarywang.wxpay.bean.notify.WxPayRefundNotifyResult;
import com.github.binarywang.wxpay.bean.order.WxPayMpOrderResult;
import com.yunzhi.shigongli.entity.TaOrder;
import com.yunzhi.shigongli.entity.TaOrderPay;
import com.yunzhi.shigongli.entity.TaOrderSub;
import com.yunzhi.shigongli.entity.TaPerson;


/**
 * <p>
 * 订单支付 服务类
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
public interface ITaOrderPayService extends IBaseService<TaOrderPay> {

    void notifyOrder(WxPayOrderNotifyResult notifyResult) throws Exception;

    void refundNotifyOrder(WxPayRefundNotifyResult result) throws Exception;

    WxPayMpOrderResult prePay(TaPerson person, TaOrder taOrder) throws Exception;

    void refundOrderSub(TaPerson taPerson, TaOrder taOrder, TaOrderSub taOrderSub) throws Exception;

    void refundOrder(TaPerson person, TaOrder taOrder, Integer totalCashback) throws Exception;

    WxPayMpOrderResult prePay(TaPerson person, TaOrder taOrder, TaOrderSub taOrderSub) throws Exception;
}
