package com.yunzhi.shigongli.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.shigongli.entity.TaLike;
import com.yunzhi.shigongli.entity.TaPerson;
import com.yunzhi.shigongli.entity.TaResource;
import com.yunzhi.shigongli.entity.TaSave;
import com.yunzhi.shigongli.vo.ResourceListVO;


/**
 * <p>
 * 访问人 服务类
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
public interface ITaResourceService extends IBaseService<TaResource> {

    TaResource getByTarget(String targetType, String targetId);

    void recordPerson(String targetType, String targetId, TaPerson taPerson) throws Exception;

    void removeBy(String targetType, String targetId);

    void updateSave(TaSave taSave, int num);

    IPage<ResourceListVO> getWxPagedBy(IPage<ResourceListVO> pg, TaPerson taPerso, String location, String typeId);

    void updateLike(TaLike taLike, int num);

    IPage<ResourceListVO> searchList(IPage<ResourceListVO> pg, TaPerson currentPerson, String location, String q, String targetType);
}
