package com.yunzhi.shigongli.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.shigongli.entity.TaPerson;
import com.yunzhi.shigongli.entity.TaShopPackage;
import com.yunzhi.shigongli.vo.ShopPackageRecommend;
import com.yunzhi.shigongli.vo.ShopPackageVO;

import java.util.List;


/**
 * <p>
 * 商铺套餐 服务类
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
public interface ITaShopPackageService extends IBaseService<TaShopPackage> {

    boolean saveProfile(ShopPackageVO shopPackageVO) throws Exception;

    boolean updateProfile(ShopPackageVO shopPackageVO) throws Exception;

    ShopPackageVO getProfileById(String id);

    IPage<ShopPackageVO> getProfilePage(IPage<TaShopPackage> pg, String shopId);

    IPage<TaShopPackage> getWxPackageList(IPage<TaShopPackage> page, String shopId, TaPerson currentPerson);

    List<ShopPackageRecommend> getWxRecommendList(String location, TaPerson taPerson) throws Exception ;
}
