package com.yunzhi.shigongli.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.shigongli.entity.TaTourist;
import com.yunzhi.shigongli.vo.ResourceFieldVO;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 旅游景点 服务类
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
public interface ITaTouristService extends IBaseService<TaTourist> {

    IPage<TaTourist> getPagedBy(IPage<TaTourist> pg, @Param("touristName") String touristName, @Param("cityId") String cityId);

    boolean createNew(TaTourist taTourist) throws Exception;

    ResourceFieldVO copyProperties(TaTourist taTourist);
}
