package com.yunzhi.shigongli.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yunzhi.shigongli.entity.TaVerifyTarget;
import com.yunzhi.shigongli.vo.VerifyTargetVO;


/**
 * <p>
 * 核销内容表 服务类
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
public interface ITaVerifyTargetService extends IBaseService<TaVerifyTarget> {

    IPage<VerifyTargetVO> getWxPagedBy(IPage<VerifyTargetVO> pg, String personId, String shopId, String phone, Integer isVerified);

    int getCountBy(String orderId, String subOrderId, Integer isVerified);

    boolean removeBy(String orderId, String subOrderId);

    void verify(TaVerifyTarget taVerifyTarget) throws Exception;
}
