package com.yunzhi.shigongli.service.impl;

import com.yunzhi.shigongli.common.Callback;
import com.yunzhi.shigongli.entity.TaPerson;
import com.yunzhi.shigongli.entity.TaPv;
import com.yunzhi.shigongli.mapper.TaPvMapper;
import com.yunzhi.shigongli.service.ITaPvService;

import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * <p>
 * 访问人次 服务实现类
 * </p>
 *
 * @author yansen
 * @since 2021-08-17
 */
@Service
public class TaPvServiceImpl extends BaseServiceImpl<TaPvMapper, TaPv> implements ITaPvService {

    @Async
    @Override
    public void newRecord(TaPv taPv, Callback cb) throws Exception {
        if (save(taPv)) {
            cb.next();
        }
    }
}
