package com.yunzhi.shigongli.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel(value="ResourceFieldVO", description="ResourceFieldVO")
@Data
public class ResourceFieldVO {

    @ApiModelProperty(value = "点赞数")
    private Integer likeNum;

    @ApiModelProperty(value = "浏览量")
    private Integer pvNum;

    @ApiModelProperty(value = "用户数")
    private Integer uvNum;

    @ApiModelProperty(value = "收藏数")
    private Integer saveNum;

    @ApiModelProperty(value = "主图")
    private String poster;

    @ApiModelProperty(value = "文案")
    private String title;

    @ApiModelProperty(value = "经度")
    private String lng;

    @ApiModelProperty(value = "纬度")
    private String lat;

    @ApiModelProperty(value = "均价")
    private Integer averagePrice;

    @ApiModelProperty(value = "权重")
    private Integer weight;

    @ApiModelProperty(value = "所属区")
    private String cityId;

    @ApiModelProperty(value = "状态")
    private Integer status;
}
