package com.yunzhi.shigongli.vo;

import com.yunzhi.shigongli.entity.TaShopPackage;
import com.yunzhi.shigongli.entity.TaTargetDietMark;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;


@ApiModel(description = "商品套餐全字段")
@Data
public class ShopPackageVO extends TaShopPackage {

    @ApiModelProperty(value = "引流分成;单位千分之一")
    private Integer trafficRate;

    @ApiModelProperty(value = "平台分成;单位千分之一")
    private Integer platformRate;

    @ApiModelProperty(value = "参与攻略")
    private Boolean isStrategy;

    @ApiModelProperty(value = "推荐等级")
    private String strategyLevel;

    @ApiModelProperty(value = "类别")
    private List<TaTargetDietMark> dietMarkList;

}
